## NMDeviceWimax

NMDeviceWimax

## Functions

GQuark | nm_device_wimax_error_quark ()
GObject * | nm_device_wimax_new ()
const char * | nm_device_wimax_get_hw_address ()
NMWimaxNsp * | nm_device_wimax_get_active_nsp ()
NMWimaxNsp * | nm_device_wimax_get_nsp_by_path ()
const GPtrArray * | nm_device_wimax_get_nsps ()
guint | nm_device_wimax_get_center_frequency ()
int | nm_device_wimax_get_rssi ()
int | nm_device_wimax_get_cinr ()
int | nm_device_wimax_get_tx_power ()
const char * | nm_device_wimax_get_bsid ()

## Properties

NMWimaxNsp * | active-nsp | Read
gchar * | bsid | Read
guint | center-frequency | Read
gint | cinr | Read
gchar * | hw-address | Read
NMObjectArray * | nsps | Read
gint | rssi | Read
gint | tx-power | Read

## Signals

void | nsp-added | Run First
void | nsp-removed | Run First

## Types and Values

enum | NMDeviceWimaxError
#define | NM_DEVICE_WIMAX_ERROR
#define | NM_DEVICE_WIMAX_HW_ADDRESS
#define | NM_DEVICE_WIMAX_ACTIVE_NSP
#define | NM_DEVICE_WIMAX_CENTER_FREQUENCY
#define | NM_DEVICE_WIMAX_RSSI
#define | NM_DEVICE_WIMAX_CINR
#define | NM_DEVICE_WIMAX_TX_POWER
#define | NM_DEVICE_WIMAX_BSID
#define | NM_DEVICE_WIMAX_NSPS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceWimax

## Description

## Functions

### nm_device_wimax_error_quark ()

    GQuark
    nm_device_wimax_error_quark (void);

`nm_device_wimax_error_quark` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Registers an error quark for NMDeviceWimax if necessary.

#### Returns

the error quark used for NMDeviceWimax errors.

### nm_device_wimax_new ()

    GObject *
    nm_device_wimax_new (DBusGConnection *connection,
                         const char *path);

`nm_device_wimax_new` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Creates a new NMDeviceWimax.

#### Parameters

connection | the DBusGConnection |
path | the D-Bus object path of the WiMAX device |

#### Returns

a new WiMAX device.

[transfer full]

### nm_device_wimax_get_hw_address ()

    const char *
    nm_device_wimax_get_hw_address (NMDeviceWimax *wimax);

`nm_device_wimax_get_hw_address` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the hardware (MAC) address of the NMDeviceWimax

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_wimax_get_active_nsp ()

    NMWimaxNsp *
    nm_device_wimax_get_active_nsp (NMDeviceWimax *wimax);

`nm_device_wimax_get_active_nsp` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the active NMWimaxNsp.

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

the access point or `NULL` if none is active.

[transfer full]

### nm_device_wimax_get_nsp_by_path ()

    NMWimaxNsp *
    nm_device_wimax_get_nsp_by_path (NMDeviceWimax *wimax,
                                     const char *path);

`nm_device_wimax_get_nsp_by_path` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets a NMWimaxNsp by path.

#### Parameters

wimax | a NMDeviceWimax |
path | the object path of the NSP |

#### Returns

the access point or `NULL` if none is found.

[transfer none]

### nm_device_wimax_get_nsps ()

    const GPtrArray *
    nm_device_wimax_get_nsps (NMDeviceWimax *wimax);

`nm_device_wimax_get_nsps` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets all the scanned NSPs of the NMDeviceWimax.

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

a GPtrArray containing all the scanned NMWimaxNsps. The returned array is owned by the client and should not be modified.

[element-type NMWimaxNsp]

### nm_device_wimax_get_center_frequency ()

    guint
    nm_device_wimax_get_center_frequency (NMDeviceWimax *self);

`nm_device_wimax_get_center_frequency` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the center frequency (in KHz) of the radio channel the device is using to communicate with the network when connected. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the center frequency in KHz, or 0

### nm_device_wimax_get_rssi ()

    int
    nm_device_wimax_get_rssi (NMDeviceWimax *self);

`nm_device_wimax_get_rssi` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the RSSI of the current radio link in dBm. This value indicates how strong the raw received RF signal from the base station is, but does not indicate the overall quality of the radio link. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the RSSI in dBm, or 0

### nm_device_wimax_get_cinr ()

    int
    nm_device_wimax_get_cinr (NMDeviceWimax *self);

`nm_device_wimax_get_cinr` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the CINR (Carrier to Interference + Noise Ratio) of the current radio link in dB. CINR is a more accurate measure of radio link quality. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the CINR in dB, or 0

### nm_device_wimax_get_tx_power ()

    int
    nm_device_wimax_get_tx_power (NMDeviceWimax *self);

`nm_device_wimax_get_tx_power` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Average power of the last burst transmitted by the device, in units of 0.5 dBm. i.e. a TxPower of -11 represents an actual device TX power of -5.5 dBm. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the TX power in dBm, or 0

### nm_device_wimax_get_bsid ()

    const char *
    nm_device_wimax_get_bsid (NMDeviceWimax *self);

`nm_device_wimax_get_bsid` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the ID of the serving Base Station when the device is connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the ID of the serving Base Station, or `NULL`

## Types and Values

### enum NMDeviceWimaxError

#### Members

NM_DEVICE_WIMAX_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_WIMAX_ERROR_NOT_WIMAX_CONNECTION | the connection was not of WiMax type |
NM_DEVICE_WIMAX_ERROR_INVALID_WIMAX_CONNECTION | the WiMax connection was invalid |
NM_DEVICE_WIMAX_ERROR_INVALID_DEVICE_MAC | the device's MAC was invalid |
NM_DEVICE_WIMAX_ERROR_MAC_MISMATCH | the MACs of the connection and the device mismatched |

### NM_DEVICE_WIMAX_ERROR

    #define NM_DEVICE_WIMAX_ERROR nm_device_wimax_error_quark ()

### NM_DEVICE_WIMAX_HW_ADDRESS

    #define NM_DEVICE_WIMAX_HW_ADDRESS       "hw-address"

### NM_DEVICE_WIMAX_ACTIVE_NSP

    #define NM_DEVICE_WIMAX_ACTIVE_NSP       "active-nsp"

### NM_DEVICE_WIMAX_CENTER_FREQUENCY

    #define NM_DEVICE_WIMAX_CENTER_FREQUENCY "center-frequency"

### NM_DEVICE_WIMAX_RSSI

    #define NM_DEVICE_WIMAX_RSSI             "rssi"

### NM_DEVICE_WIMAX_CINR

    #define NM_DEVICE_WIMAX_CINR             "cinr"

### NM_DEVICE_WIMAX_TX_POWER

    #define NM_DEVICE_WIMAX_TX_POWER         "tx-power"

### NM_DEVICE_WIMAX_BSID

    #define NM_DEVICE_WIMAX_BSID             "bsid"

### NM_DEVICE_WIMAX_NSPS

    #define NM_DEVICE_WIMAX_NSPS             "nsps"

## Property Details

### The `“active-nsp”` property

      “active-nsp”               NMWimaxNsp *

The active NMWimaxNsp of the device.

`NMDeviceWimax:active-nsp` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

### The `“bsid”` property

      “bsid”                     gchar *

The ID of the serving base station as received from the network. Has no meaning when the device is not connected.

`NMDeviceWimax:bsid` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

Default value: NULL

### The `“center-frequency”` property

      “center-frequency”         guint

The center frequency (in KHz) of the radio channel the device is using to communicate with the network when connected. Has no meaning when the device is not connected.

`NMDeviceWimax:center-frequency` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

Default value: 0

### The `“cinr”` property

      “cinr”                     gint

CINR (Carrier to Interference + Noise Ratio) of the current radio link in dB. CINR is a more accurate measure of radio link quality. Has no meaning when the device is not connected.

`NMDeviceWimax:cinr` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

Default value: 0

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

`NMDeviceWimax:hw-address` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

Default value: NULL

### The `“nsps”` property

      “nsps”                     NMObjectArray *

List of all WiMAX Network Service Providers the device can see.

`NMDeviceWimax:nsps` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

Since: 0.9.10

### The `“rssi”` property

      “rssi”                     gint

RSSI of the current radio link in dBm. This value indicates how strong the raw received RF signal from the base station is, but does not indicate the overall quality of the radio link. Has no meaning when the device is not connected.

`NMDeviceWimax:rssi` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

Default value: 0

### The `“tx-power”` property

      “tx-power”                 gint

Average power of the last burst transmitted by the device, in units of 0.5 dBm. i.e. a TxPower of -11 represents an actual device TX power of -5.5 dBm. Has no meaning when the device is not connected.

`NMDeviceWimax:tx-power` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read

Default value: 0

## Signal Details

### The `“nsp-added”` signal

    void
    user_function (NMDeviceWimax *self,
                   GObject       *nsp,
                   gpointer       user_data)

Notifies that a NMWimaxNsp is added to the wimax device.

`NMDeviceWimax::nsp-added` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

#### Parameters

self | the wimax device that received the signal |
nsp | the new NSP |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“nsp-removed”` signal

    void
    user_function (NMDeviceWimax *self,
                   GObject       *nsp,
                   gpointer       user_data)

Notifies that a NMWimaxNsp is removed from the wimax device.

`NMDeviceWimax::nsp-removed` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

#### Parameters

self | the wimax device that received the signal |
nsp | the removed NSP |
user_data | user data set when the signal handler was connected. |

Flags: Run First